uniform mat4 uMVPMatrix;
uniform mat4 vMatrix;
uniform float uCRatio;

attribute vec4 vPosition;
attribute vec4 vCoord;
varying vec2 aCoord;

void main(){
    vec4 scaledPos = vPosition;
    scaledPos.x = scaledPos.x * uCRatio;
    gl_Position = uMVPMatrix * scaledPos;
    aCoord = (vMatrix * vCoord).xy;
}